#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 random-source
version:              0.3.0.11
visibility:           public
id:                   random-source-0.3.0.11-8LW63onh1dp4bGVOzCFVJq
key:                  random-source-0.3.0.11-8LW63onh1dp4bGVOzCFVJq
license:              LicenseRef-PublicDomain
maintainer:           James Cook <mokus@deepbondi.net>
author:               James Cook <mokus@deepbondi.net>
stability:            provisional
homepage:             https://github.com/mokus0/random-fu
synopsis:             Generic basis for random number generators
description:
    Random number generation based on entropy sources
    able to produce a small but well-defined set of
    primitive variates.  Also includes facilities for
    \"completing\" partial implementations, making it
    easy to define new entropy sources in a way that
    is naturally forward-compatible.

category:             Math
abi:                  acf10e41893b0518c42813445c91104e
exposed:              True
exposed-modules:
    Data.Random.Internal.Source Data.Random.Internal.Words
    Data.Random.Source Data.Random.Source.DevRandom
    Data.Random.Source.IO Data.Random.Source.MWC
    Data.Random.Source.PureMT Data.Random.Source.Std
    Data.Random.Source.StdGen

hidden-modules:
    Data.Random.Source.Internal.Prim Data.Random.Source.Internal.TH

import-dirs:          /usr/lib/ghc-8.10.4/site-local/random-source-0.3.0.11
library-dirs:         /usr/lib/ghc-8.10.4/site-local/random-source-0.3.0.11
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/random-source-0.3.0.11
hs-libraries:         HSrandom-source-0.3.0.11-8LW63onh1dp4bGVOzCFVJq
depends:
    base-4.14.1.0 flexible-defaults-0.0.3-Fasi4Hl9u4bFcCXhvTbZDX
    mersenne-random-pure64-0.2.2.0-21gU7JkuZWSBAlNUSCap2k mtl-2.2.2
    mwc-random-0.15.0.1-Er7wRzjAq3eLlTm4u7wWfQ
    primitive-0.7.1.0-38g4vrsWuEmC5EJToiThLg
    random-1.2.0-F9Db881XSkeHNx13RpGdSQ
    stateref-0.3-4wfWqmwRLMHJr0J7ORP3wK
    syb-0.7.2.1-JKZju2S4ac626Sffwf6Fw2 template-haskell-2.16.0.0
    th-extras-0.0.0.4-OFoFziQJyK59NccI3v5NX

haddock-interfaces:
    /usr/share/doc/haskell-random-source/html/random-source.haddock

haddock-html:         /usr/share/doc/haskell-random-source/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

